version: "3.7"

volumes:
  website:
    name: website
  doc:
    name: doc
  school:
    name: school
  radio:
    name: radio
  culture:
    name: culture
  stiegler:
    name: stiegler
  hub-pad:
    name: hub-pad

networks:
  proxy:
    external: true

x-image-name: &NGINX_IMAGE
  registry.picasoft.net/pica-nginx:stretch-20211219

services:
  website:
    container_name: website
    image: *NGINX_IMAGE
    build: .
    volumes:
      - website:/var/www/html
    labels:
      traefik.http.routers.website.entrypoints: websecure
      traefik.http.routers.website.rule: Host(`www.picasoft.net`, `picasoft.net`)
      traefik.http.services.website.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped

  doc:
    container_name: doc
    image: *NGINX_IMAGE
    build: .
    volumes:
      - doc:/var/www/html
    labels:
      traefik.http.routers.doc.entrypoints: websecure
      traefik.http.routers.doc.rule: Host(`doc.picasoft.net`)
      traefik.http.services.doc.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped

  school:
    container_name: school
    image: *NGINX_IMAGE
    build: .
    volumes:
      - school:/var/www/html
    labels:
      traefik.http.routers.school.entrypoints: websecure
      traefik.http.routers.school.rule: Host(`school.picasoft.net`)
      traefik.http.services.school.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped

  radio:
    container_name: radio
    image: *NGINX_IMAGE
    build: .
    volumes:
      - radio:/var/www/html
    labels:
      traefik.http.routers.radio.entrypoints: websecure
      traefik.http.routers.radio.rule: Host(`radio.picasoft.net`)
      traefik.http.services.radio.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped

  culture:
    container_name: culture
    image: *NGINX_IMAGE
    build: .
    volumes:
      - culture:/var/www/html
    labels:
      traefik.http.routers.culture.entrypoints: websecure
      traefik.http.routers.culture.rule: Host(`culture.picasoft.net`)
      traefik.http.services.culture.loadbalancer.server.port: 80
      traefik.enable: true
    environment:
      AUTOINDEX: "true"
    networks:
      - proxy
    restart: unless-stopped

  stiegler:
    container_name: stiegler
    image: *NGINX_IMAGE
    build: .
    volumes:
      - stiegler:/var/www/html
    labels:
      traefik.http.routers.stiegler.entrypoints: websecure
      traefik.http.routers.stiegler.rule: Host(`stiegler.picasoft.net`)
      traefik.http.services.stiegler.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped

  hub-pad:
    container_name: hub-pad
    image: *NGINX_IMAGE
    build: .
    volumes:
      - hub-pad:/var/www/html
    labels:
      traefik.http.routers.hub-pad.entrypoints: websecure
      traefik.http.routers.hub-pad.rule: Host(`hub.pad.picasoft.net`)
      traefik.http.services.hub-pad.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped
